> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Balance

Returns the balance of a member, and any withdrawal limits that apply to the member.

## Current Balance

The `available` field represents the actual balance a member currently has for withdrawal.

## Withdrawal Limits

The `lowerLimit` and `upperLimit` fields define the range of amounts that a member is allowed to withdraw:

* **Lower Limit (`lowerLimit`)**: The minimum amount a member can withdraw.
* **Upper Limit (`upperLimit`)**: The maximum amount a member can withdraw.

<Info>
  These limits do not directly factor into the balance but instead serve to restrict the amount a member can withdraw in
  a single transaction.
</Info>

### Computation of Withdrawable Amount

Given the available balance and the limits, the withdrawable amount can be
computed as follows:

* **Minimum Withdrawable Amount**: Is always the `lowerLimit`, as if the balance is less than the lower limit they cannot withdraw.
* **Maximum Withdrawable Amount**: This is the smaller value between the available balance and the upper limit.
  ```text theme={null}
  Maximum Withdrawable Amount = min(available, upperLimit)
  ```

## Temporarily Unavailable

In rare cases, On Demand Pay may be temporarily unavailable. To show this, we return `temporarilyUnavailable: true` in the balance response.
If this happens, withdrawals will be temporarily unavailable and any calls to create withdrawal intent or complete withdrawal endpoints will be rejected.


## OpenAPI

````yaml GET /v1/pay/members/{memberId}/balance
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/pay/members/{memberId}/balance:
    get:
      tags:
        - pay
      summary: Show available balance for the member
      operationId: getMemberBalance
      parameters:
        - name: memberId
          in: path
          description: The unique identifier for a Member, prefixed with mem_
          required: true
          schema:
            example: mem_<id>
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  available:
                    $ref: '#/components/schemas/AvailableBalance'
                  lowerLimit:
                    $ref: '#/components/schemas/LowerLimit'
                  upperLimit:
                    $ref: '#/components/schemas/UpperLimit'
                  payCycle:
                    type: object
                    properties:
                      id:
                        example: pc_<id>
                        description: >-
                          The unique identifier for a PayCycle, prefixed with
                          pc_
                        type: string
                      startDate:
                        description: Date in ISO8601 `YYYY-MM-DD` format
                        example: '2024-01-01'
                        type: string
                        pattern: ^\d{4}-\d{2}-\d{2}$
                      endDate:
                        description: Date in ISO8601 `YYYY-MM-DD` format
                        example: '2024-01-15'
                        type: string
                        pattern: ^\d{4}-\d{2}-\d{2}$
                      lastPayDate:
                        example: '2024-01-07T11:55:39.676Z'
                        description: >-
                          The last time pay was made available for this member
                          in this cycle
                        anyOf:
                          - type: string
                            nullable: true
                    required:
                      - id
                      - startDate
                      - endDate
                      - lastPayDate
                    additionalProperties: false
                  isTemporarilyUnavailable:
                    description: >-
                      If true, On Demand Pay withdrawals are temporarily
                      unavailable and calls to confirmWithdrawal will be
                      rejected
                    type: boolean
                required:
                  - available
                  - lowerLimit
                  - upperLimit
                  - payCycle
                  - isTemporarilyUnavailable
                additionalProperties: false
components:
  schemas:
    AvailableBalance:
      title: AvailableBalance
      description: The balance for the member
      example:
        currency: GBP
        amount: 12500
      type: object
      properties:
        amount:
          example: 1050
          description: Price in lowest denomination of currency (e.g. cents)
          type: integer
        currency:
          example: GBP
          description: ISO 4217 currency code
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
      required:
        - amount
        - currency
      additionalProperties: false
      x-instanceOf: Money
    LowerLimit:
      title: LowerLimit
      description: The lower limit, the member cannot withdraw below this amount
      example:
        currency: GBP
        amount: 1000
      type: object
      properties:
        amount:
          example: 1050
          description: Price in lowest denomination of currency (e.g. cents)
          type: integer
        currency:
          example: GBP
          description: ISO 4217 currency code
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
      required:
        - amount
        - currency
      additionalProperties: false
      x-instanceOf: Money
    UpperLimit:
      title: UpperLimit
      description: The upper limit, the member cannot have more than this amount
      example:
        currency: GBP
        amount: 20000
      type: object
      properties:
        amount:
          example: 1050
          description: Price in lowest denomination of currency (e.g. cents)
          type: integer
        currency:
          example: GBP
          description: ISO 4217 currency code
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
      required:
        - amount
        - currency
      additionalProperties: false
      x-instanceOf: Money
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````